from cubicweb.sobjects.notification import NormalizedTextView

class BlogEntryAddedView(NormalizedTextView):
    """get notified from new blogs"""
    accepts = ('BlogEntry',)
    content_attr = 'content'

    def subject(self):
        entity = self.entity(0)
        return '[%s] %s' % (self.config.appid, entity.dc_title())
                                     
